package tt;
import java.util.Scanner;
//import java.io.*;


interface Shape {
    public double Shape_PI = 3.14;
     
    public double area();
    public double perimeter();
}
 
class Circle implements Shape {
    private double radius;
     
    public Circle(double r) {
    	//System.out.println("غcl" + r);
        setRadius(r);
    }
     
    public Circle() {
        this(10.0);
    }
     
    public double getRadius() {
        return radius;
    }
     
    public void setRadius(double r) {
        if (r > 0.0) {
            radius = r;
        }
        else {
            radius = 1;
        }
    }
     
    public double area() {
    	//System.out.println("Shape_PI=" + Shape_PI);
        return radius * radius * Shape_PI;
    }
     
    public double perimeter() {
    	//System.out.println("2 * radius * Shape_PI=" + 2 * radius * Shape_PI);
        return 2 * radius * Shape_PI;
    } 
}
 
class Rectangle implements Shape {
    private double length;
    private double width;
     
    public Rectangle(double l, double w) {
        setLength(l);
        setWidth(w);
    }
     
    public Rectangle(double a) {
        this(a, 10.0);
    }
     
    public Rectangle() {
        this(10.0, 10.0);
    }
     
    public double getLength() {
        return length;
    }
     
    public double getWidth() {
        return width;
    }
     
    public void setLength(double l) {
        if (l > 0) {
            length = l;
        }
        else {
            length = 1.0;
        }
    }
     
    public void setWidth(double w) {
        if (w > 0) {
            width = w;
        }
        else {
            width = 1.0;
        }
    }
     
    public double area() {
        return length * width;
    }
     
    public double perimeter() {
        return 2 * (length + width);
    }
}
 
class A3 {
    public static void main(String[] args) {
    	Scanner input = new Scanner(System.in);
    	double r = input.nextFloat();
    	double x = input.nextFloat();
    	double y = input.nextFloat();
    	
        Circle a = new Circle(r);
        //Circle a = new Circle(15.6);
        System.out.println("ꪺb|O" + a.getRadius());
        System.out.println("ꪺPO" + a.perimeter());
        System.out.println("ꪺnO" + a.area());
         
        Rectangle b = new Rectangle(x, y);
        //Rectangle b = new Rectangle(20, 16);
        System.out.println("ΪO" + b.getLength());
        System.out.println("ΪeO" + b.getWidth());
        System.out.println("ΪPO" + b.perimeter());
        System.out.println("ΪnO" + b.area());
    }
}